 configure.ac            |   35 +++++++++++++++++------------------
 src/aaa_lib/Makefile.am |    7 +++----
 src/pmg/Makefile.am     |    1 +
 3 files changed, 21 insertions(+), 22 deletions(-)

diff --git a/configure.ac b/configure.ac
index 1295a9f..f8fd97c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -49,6 +49,8 @@ AC_LANG_C
 AC_PROG_CC
 AC_PROG_CPP
 AC_DISABLE_STATIC
+AC_PROG_F77
+AC_F77_LIBRARY_LDFLAGS
 AM_PROG_LIBTOOL
 
 dnl 3. checks for libraries
@@ -341,6 +343,10 @@ if test -n "${blas}"; then
 else
     AC_MSG_RESULT([no ...poking around])
    
+	PKG_CHECK_MODULES([BLAS],[blas],[
+	blas_lib=${BLAS_LIBS}
+	blas=""
+	],[
     dnl # BLAS library location ENV specification
     AC_MSG_CHECKING([whether your environment defines FETK_BLAS_LIBRARY])
     if test -n "${FETK_BLAS_LIBRARY}"; then
@@ -358,7 +364,7 @@ else
     AC_CHECK_LIB(blas,dscal_,
         [blas_use="yes";blas_lib="${blas_lib_path}-lblas"],
         [blas_use="";blas_lib=""],
-        [${blas_lib_path}-lblas -lvf2c])
+        [${blas_lib_path} $(BLAS_LIBS)])
     if test -z "${blas_use}"; then
         AC_MSG_RESULT([** BLAS library missing ...will BUILD **])
         blas="blas";
@@ -368,7 +374,7 @@ else
     fi
    
     dnl # Return LDFLAGS to normal
-    LDFLAGS=${LDFLAGS_SAVE};
+    LDFLAGS=${LDFLAGS_SAVE};])
 fi
 
 dnl # Final decisions on BLAS
@@ -414,7 +420,7 @@ dnl lapack_use="";
 dnl AC_CHECK_LIB(lapack,dsysv_,
 dnl     [lapack_use="yes";lapack_lib="${lapack_lib_path}-llapack"],
 dnl     [lapack_use="";lapack_lib=""],
-dnl     [${lapack_lib_path}-llapack ${blas_lib} -lvf2c])
+dnl     [${lapack_lib_path}-llapack ${blas_lib}])
 dnl if test -z "${lapack_use}"; then
 dnl     AC_MSG_RESULT([** LAPACK library missing ...will BUILD **])
 dnl     lapack="lapack";
@@ -466,10 +472,10 @@ else
     LDFLAGS_SAVE=${LDFLAGS};
     LDFLAGS=${amd_lib_path};
     amd_use="";
-    AC_CHECK_LIB(amd,AMD_order,
+    AC_CHECK_LIB(amd,amd_order,
         [amd_use="yes";amd_lib="${amd_lib_path}-lamd"],
         [amd_use="";amd_lib=""],
-        [${amd_lib_path}-lamd ${blas_lib} -lvf2c])
+        [${amd_lib_path}-lamd ${blas_lib}])
     if test -z "${amd_use}"; then
         AC_MSG_RESULT([** AMD library missing ...will BUILD **])
         amd="amd";
@@ -521,10 +527,10 @@ else
     LDFLAGS_SAVE=${LDFLAGS};
     LDFLAGS=${umfpack_lib_path};
     umfpack_use="";
-    AC_CHECK_LIB(umfpack,UMFPACK_numeric,
+    AC_CHECK_LIB(umfpack,umfpack_di_numeric,
         [umfpack_use="yes";umfpack_lib="${umfpack_lib_path}-lumfpack"],
         [umfpack_use="";umfpack_lib=""],
-        [${umfpack_lib_path}-lumfpack ${blas_lib} -lvf2c])
+        [${umfpack_lib_path}-lumfpack ${blas_lib}])
     if test -z "${umfpack_use}"; then
         AC_MSG_RESULT([** UMFPACK library missing ...will BUILD **])
         umfpack="umfpack";
@@ -579,7 +585,7 @@ else
     AC_CHECK_LIB(superlu,Destroy_SuperMatrix_Store,
         [superlu_use="yes";superlu_lib="${superlu_lib_path}-lsuperlu"],
         [superlu_use="";superlu_lib=""],
-        [${superlu_lib_path}-lsuperlu ${lapack_lib} ${blas_lib} -lvf2c])
+        [${superlu_lib_path}-lsuperlu ${lapack_lib} ${blas_lib}])
     if test -z "${superlu_use}"; then
         AC_MSG_RESULT([** SUPERLU library missing ...will BUILD **])
         superlu="superlu";
@@ -635,7 +641,7 @@ dnl arpack_use="";
 dnl AC_CHECK_LIB(arpack,dsgets_,
 dnl     [arpack_use="yes";arpack_lib="${arpack_lib_path}-larpack"],
 dnl     [arpack_use="";arpack_lib=""],
-dnl     [${arpack_lib_path}-larpack ${blas_lib} -lvf2c])
+dnl     [${arpack_lib_path}-larpack ${blas_lib}])
 dnl if test -z "${arpack_use}"; then
 dnl     AC_MSG_RESULT([** ARPACK library missing ...will BUILD **])
 dnl     arpack="arpack";
@@ -691,7 +697,7 @@ dnl cgcode_use="";
 dnl AC_CHECK_LIB(cgcode,scgdrv_,
 dnl     [cgcode_use="yes";cgcode_lib="${cgcode_lib_path}-lcgcode"],
 dnl     [cgcode_use="";cgcode_lib=""],
-dnl     [${cgcode_lib_path}-lcgcode ${blas_lib} -lvf2c])
+dnl     [${cgcode_lib_path}-lcgcode ${blas_lib}])
 dnl if test -z "${cgcode_use}"; then
 dnl     AC_MSG_RESULT([** CGCODE library missing ...will BUILD **])
 dnl     cgcode="cgcode";
@@ -747,7 +753,7 @@ dnl pmg_use="";
 dnl AC_CHECK_LIB(pmg,buildg_,
 dnl     [pmg_use="yes";pmg_lib="${pmg_lib_path}-lpmg"],
 dnl     [pmg_use="";pmg_lib=""],
-dnl     [${pmg_lib_path}-lpmg ${blas_lib} -lvf2c])
+dnl     [${pmg_lib_path}-lpmg ${blas_lib}])
 dnl if test -z "${pmg_use}"; then
 dnl     AC_MSG_RESULT([** PMG library missing ...will BUILD **])
 dnl     pmg="pmg";
@@ -986,13 +992,6 @@ AC_OUTPUT([
     src/base/Makefile
 
     src/vf2c/Makefile
-    src/blas/Makefile
-    src/lapack/Makefile
-    src/amd/Makefile
-    src/umfpack/Makefile
-    src/superlu/Makefile
-    src/arpack/Makefile
-    src/cgcode/Makefile
     src/pmg/Makefile
 
     src/aaa_inc/Makefile
diff --git a/src/aaa_lib/Makefile.am b/src/aaa_lib/Makefile.am
index 2e17d41..3cbb9b5 100644
--- a/src/aaa_lib/Makefile.am
+++ b/src/aaa_lib/Makefile.am
@@ -102,15 +102,14 @@ else
 LIBPMG    = 
 endif
 
-libdir = ${prefix}/lib
 lib_LTLIBRARIES = libpunc.la ${LIBVF2C} ${LIBBLAS} ${LIBLAPACK} ${LIBAMD} ${LIBUMFPACK} ${LIBSUPERLU} ${LIBARPACK} ${LIBCGCODE} ${LIBPMG}
 
 libpunc_la_SOURCES =
-libpunc_la_LIBADD  = ${BASE_LIBS}
+libpunc_la_LIBADD  = ${BASE_LIBS} -lm
 libpunc_la_LDFLAGS = -version-info ${FETK_VERSION}
 
 libvf2c_la_SOURCES =
-libvf2c_la_LIBADD  = ${VF2C_LIBS}
+libvf2c_la_LIBADD  = ${VF2C_LIBS} -lgfortran -lf2c -lm
 libvf2c_la_LDFLAGS = -version-info ${FETK_VERSION}
 
 libblas_la_SOURCES =
@@ -142,6 +141,6 @@ libcgcode_la_LIBADD  = ${CGCODE_LIBS}
 libcgcode_la_LDFLAGS = -version-info ${FETK_VERSION}
 
 libpmg_la_SOURCES =
-libpmg_la_LIBADD  = ${PMG_LIBS}
+libpmg_la_LIBADD  = ${PMG_LIBS} ${BASE_LIBS} -lgfortran -lf2c -lmaloc -lm
 libpmg_la_LDFLAGS = -version-info ${FETK_VERSION}
 
diff --git a/src/pmg/Makefile.am b/src/pmg/Makefile.am
index cae9324..b34ace9 100644
--- a/src/pmg/Makefile.am
+++ b/src/pmg/Makefile.am
@@ -45,6 +45,7 @@ SRC = buildAd.c buildBd.c buildGd.c buildPd.c cgd.c cgmgd.c cgmgdrvd.c gsd.c mat
 libpmg_la_SOURCES = ${SRC}
 INCLUDES  = @maloc_inc@
 AM_CFLAGS = @profile@ @pedantic_ansi@
+libpmg_la_LIBADD = -lf2c
 
 all-local:
 #	-cp -p ${top_srcdir}/src/${THISLIB}/punc/*.h ../aaa_inc/punc/.
